Midori, a lightweight web browser with the webkit rendering

Please see the updates below to get the latest Midori and Webkit for Ubuntu.
Also, you can go here for support, Stemp seems busy ;)

This is a translation of the midori article written in French by my friend Stemp. midori is a web browser using the webkit engine. If this is of some interest to you, there is also an epiphany-webkit package in Bruce Cowan’s PPA.

As far as I know, Stemp has packaged midori for Ubuntu, but some libs need to be upgraded from the debian repos.

Translation:

The biggest problems with compiling on Ubuntu are the older webkitgdk libraries.
Debian Unstable has the latest libwebkitgtk :

The libwebkitgdk-dev package from Ubuntu will need to be uninstalled.

The midori sources are here: midori-0.0.10 (currently an early alpha).

To compile:

./configure
make
sudo checkinstall

Install the package and go!
Please check the screenshots on Stemp’s blog page (first link).

Edit1: midori-0.0.11 is now available.
Edit2: There is now a midori package for gutsy in Stemp’s PPA. The procedure to install with your favorite package manager is here.
Edit3: Midori 0.0.12 is now available on Stemp’s PPA.
Edit4 – 071208: Midori 0.0.13 et Webkit svn 283+ now available on Stemp’s PPA. Please note that webkit svn28482 will prevent current version of epiphany-webkit from running.
Edit5 – 080512: midori-0018-and-webkit-33023 now in Stemp’ PPA.
Edit6 – Midori 0.1.1 and WebKit 38850 from the webkit-team PPA with install instructions for Ubuntu.
Edit7Midori 0.1.5 and WebKitGtk+ 1.1.3 for Ubuntu Hardy, Intrepid & Jaunty.